#!/bin/sh
# -----------------------------------------------------------
# API Script (yjogol)
# $Date: 2006/09/16 14:52:23 $
# $Revision: 1.1 $
# -----------------------------------------------------------
API_VERSION="1.0"
path_httpd=".."
path_scripts="$path_httpd/scripts"
path_usrbin="/var/bin"
path_config="/var/tuxbox/config"
path_tmp="/tmp"
streaming_client_status="$path_tmp/streaming_client"

# -----------------------------------------------------------
do_udp_stream()
{
echo "para: $*"
	up="no"
	if [ -e /var/bin/udpstreamts ];	then
		up="/var/bin/udpstreamts"
	#else
        #	up="udpstreamts"
	fi
	
	case "$1" in
		installed)
			echo "$up" ;;		
		start)
			shift 1
			killall streamts
			killall udpstreamts
			echo $* > $streaming_client_status
			trap "" 1;$up $* &
			;;
		stop)
			killall udpstreamts
			rm $streaming_client_status
			echo ok
			;;
		kill_all_streams)
			killall streamts
			killall streampes
			killall udpstreamts
			rm $streaming_client_status
			echo ok
			;; 
	esac
}
# -----------------------------------------------------------
# Main
# -----------------------------------------------------------
case "$1" in
	version)
		echo $API_VERSION ;;
		
	udp_stream)
		shift 1
		do_udp_stream $*
		;;
	streaming_status)
		if [ -e $streaming_client_status ]; then
			cat $streaming_client_status
	        else
	        	echo "Streams: "
	        	ps | grep stream | grep -v grep | grep -v sh | cut -d " " -f 13-15
	        fi 
		;;
	streaming_lock)
		shift 1
		echo $* > $streaming_client_status # first parameter should always be the ip of the client
		echo ok
		;;
	streaming_unlock)
		rm $streaming_client_status
		echo ok
		;;
	*)
		echo "[api.sh] Parameter wrong: $*" ;;
esac



